post
https://api.giift.cloud/lbms-ingress/transaction-lm/API/Transaction/InsertTransactionDataV2?pintProgramId=-1
You can send local attributes on each transaction object (alongside the standard fields below), but only after those attributes have been created and configured for your program in Loyalife Admin , use the same property names and data types as defined there.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Add Transaction
Submits one or more transaction rows for asynchronous processing. The API returns a batch_id used to poll completion.
Example Response:
{
"results": {
"IsSucessful": true,
"ErrorCode": "000",
"ExceptionMessage": "Success",
"ReturnObject": {
"batch_id": "fdf59c58-9192-4e33-9880-8ea5b33fdb42_20260403173545698",
"message": "Transactions queued successfully",
"total_transactions": 5
},
"Count": 0
}
}Error Codes:
| Code | Description |
|---|---|
| 000 | Success |
| 006 | Specific error code |
| 400 | Bad Request |
